﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GridViewColumnSortState;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;

namespace FilteredRecords
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();

            this.RadGridView1.ItemsSource = GetMessages();
        }

        private IList<Message> GetMessages()
        {
            return new Message[] { 
			                     	new Message { Sender = "tom@hanna-barbera.com", Subject = "Cats are cool", Size = 100 },
			                     	new Message { Sender = "jerry@hanna-barbera.com", Subject = "Mice are cool", Size = 100 },
			                     	new Message { Sender = "spike@hanna-barbera.com", Subject = "Dogs are cool", Size = 100 }
			                     };
        }

        private void RadGridView1_OnSelectionChanged(object sender, SelectionChangeEventArgs e)
        {
            VisibleRecords.ItemsSource = RadGridView1.Records;
        }
    }
}
